Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2149766 - pwntools does not work properly on python3.11
Summary: pwntools does not work properly on python3.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pwntools
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: W. Michael Petullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-30 21:00 UTC by Alessandro Astone
Modified: 2022-12-12 01:37 UTC (History)
2 users (show)

Fixed In Version: python-pwntools-4.8.0-4.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-12 01:37:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Alessandro Astone 2022-11-30 21:00:33 UTC
Description of problem:
pwntools is being built against python3.11 but is not fully compatible.
Would you consider backporting https://github.com/Gallopsled/pwntools/pull/2070 until a new release is made upstream that contains those changes?

Version-Release number of selected component (if applicable):
4.8.0

How reproducible:
python3.11 -c "from pwn import *; r = ssh('some_user', 'some_host').process('cat'); r.interactive()"

Actual results:
Spins on "Receiving all data: 35B".
Interrupting the process shows "ValueError: opcode RESUME not allowed"

Expected results:
Spawns `cat` on the remote machine and offers an interactive shell

Comment 1 Fedora Update System 2022-12-03 01:33:55 UTC
FEDORA-2022-cfc6e8e476 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-cfc6e8e476

Comment 2 Fedora Update System 2022-12-04 01:43:45 UTC
FEDORA-2022-cfc6e8e476 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-cfc6e8e476`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-cfc6e8e476

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-12-12 01:37:37 UTC
FEDORA-2022-cfc6e8e476 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.